input:not([type=checkbox]):not([type=radio]),
textarea, 
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
	outline: none;
	&:focus:required:invalid { border-color: red }
	&:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}


.field {
	position: relative;
	
	&__input {
		margin: 0;
		width: 100%;
		height: 40px;
		border: none;
		outline: none;
		color: #000;
		z-index: 20;
		box-shadow: none;
		font-weight: 400;
		font-size: 1.6rem;
		line-height: 2rem;
		position: relative;
		padding: 10px 0 9px 0;
		background: transparent;
		display: inline-block;
		vertical-align: middle;
		border-bottom: 1px solid #000;
		box-shadow: none;
		@include placeholder(#000);
		
		&::-ms-clear {
			display: none;
			width: 0;
			height: 0;
		}

		&:focus,
		&:active {
			outline: none;
			@include placeholder(transparent);
		}

		&--white {
			color: $white;
			border-bottom-color: $white;
			@include placeholder($white);

			&:focus,
			&:active {
				@include placeholder(transparent);
			}
		}
	}
	
	&.invalid {
		
		.field__input {
			border-color: red !important;
		}
	}
}


textarea.field__input {
	overflow: hidden;
	height: 60px;
	resize: vertical !important;
}


.checkbox {
	font-size: 0;
	line-height: 0;
	font-weight: 400;
	position: relative;
	display: inline-block;

	input {
		top: 0;
		left: 0;
		opacity: 0;
		width: 1px;
		height: 1px;
		visibility: hidden;
		position: absolute;
	}

	span {
		color: #3a3a3a;
		font-size: 1.4rem;
		line-height: 2rem;
		position: relative;
		padding-left: 30px;
		display: inline-block;

		&::before {
			top: 0;
			left: 0;
			z-index: 1;
			content: '';
			width: 20px;
			height: 20px;
			display: block;
			position: absolute;
			border-radius: 2px;
			border: 1px solid #565656
		}

		&:after {
			top: 0;
			left: 0;
			z-index: 2;
			content: '';
			width: 20px;
			height: 20px;
			display: block;
			opacity: 0;
			visibility: hidden;
			position: absolute;
			background: #000;
		}
	}


	input:checked + span {

		&::before {
			border-color: #000;
		}

		&::after {
			opacity: 1;
			visibility: visible;
		}
	}

	input:disabled + span {
		opacity: 0.4;
	}
	
}

.form-group {
	margin-bottom: 30px;
}
